<?php

namespace App\Contracts;

use Symfony\Component\Uid\Uuid;

class OrderDto
{
    public function __construct(
        private Uuid $orderId,
        private Uuid $clientId,
        private array $products,
    ) {
    }

    public function getOrderId(): Uuid
    {
        return $this->orderId;
    }

    public function setOrderId(Uuid $orderId): void
    {
        $this->orderId = $orderId;
    }

    public function getClientId(): Uuid
    {
        return $this->clientId;
    }

    public function setClientId(Uuid $clientId): void
    {
        $this->clientId = $clientId;
    }

    public function getProducts(): array
    {
        return $this->products;
    }

    public function setProducts(array $products): void
    {
        $this->products = $products;
    }
}
